rmiregistry(1)

NAME
rmiregistry - Java remote object registry

SYNOPSIS
rmiregistry [ port ]

DESCRIPTION
The rmiregistry command creates and starts a remote object registry on the specified port on the current host. If port number is omitted, the registry is started on port 1099. The rmiregistry command produces no output and is typically run in the background. For example:

    example% rmiregistry &

A remote object registry is a bootstrap naming service that is used by RMI servers on a host to bind remote objects to names. Clients can then look up remote objects and make remote method invocations.

The registry is typically used to locate the first remote object on which an application needs to invoke methods. That object in turn provides application-specific support for finding other objects.

The methods of the java.rmi.registry.LocateRegistry class are used to get a registry operating on a particular host or host and port.

The URL-based methods of the java.rmi.Naming class operate on a registry and can be used to look up a remote object, bind a simple (string) name to a remote object, rebind a new name to a remote object (overriding the old binding), unbind a remote object, and list the URLs bound in the registry.

OPTIONS
The following option is supported:

-Joption
    Used in conjunction with any java option, this option passes option (no spaces between -J and option) on to the java interpreter.

SEE ALSO
See (or search java.sun.com) for the following:

java.rmi.Naming @
    http://java.sun.com/j2se/1.5/docs/api/java/rmi/Naming.html

java.rmi.registry.LocateRegistry @
    http://java.sun.com/j2se/1.5/docs/api/java/rmi/registry/LocateRegistry.html